$:.push File.expand_path("../lib", __FILE__)
require 'appforce/spawn/version'

Gem::Specification.new do |s|
  s.name        = 'appforce-spawn'
  s.version     = Appforce::Spawn::VERSION
  s.date        = Time.now.strftime('%Y-%m-%d')
  s.summary     = "Synctree user installation tool"
  s.description = "A gem that uses the Appforce SSH key manager API to install users on client machines."
  s.authors     = ["Derek Smith"]
  s.email       = 'derek@synctree.com'
  s.homepage    = 'http://synctree.com'
  
  s.files         = `git ls-files`.split("\n").map {|f| f !~ /vagrant|test/ ? f : next }.compact
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib", "ansible"]

  s.required_ruby_version = '>= 1.9.3'
  s.add_dependency 'httparty', '~> 0.10', '>= 0.10.2'
  s.add_dependency 'highline', '~> 1.7', '>= 1.7'
  s.add_development_dependency "rspec", '~> 3.0'

  s.license = 'Private'
end